<!--

    ShinyProxy

    Copyright (C) 2016-2023 Open Analytics

    ===========================================================================

    This program is free software: you can redistribute it and/or modify
    it under the terms of the Apache License as published by
    The Apache Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    Apache License for more details.

    You should have received a copy of the Apache License
    along with this program.  If not, see <http://www.apache.org/licenses/>

-->
<!DOCTYPE html>
<html
	xmlns:th="http://www.thymeleaf.org"
	xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity4">
<head></head>
<body>
	<div th:fragment="navbar" th:if="${showNavbar}" id="navbar">
		<nav class="navbar navbar-inverse navbar-fixed-top navbar-height">
			<div class="container-fluid">
				<div class="navbar-header">
					<div class="dropdown">
  <a class="btn btn-secondary dropdown-toggle navbar-link" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
    Module
  </a>

  <div id="menu" class="dropdown-menu" aria-labelledby="dropdownMenuLink">
  </div>
</div>
					<img class="navbar-brand" th:src="${logo}" />
					<a class="navbar-brand" th:href="@{/}" th:text="${title}"></a>
				</div>
				<div class="navbar-form navbar-right">
					<a role="button" class="btn btn-primary btn-sm" id="switchInstancesModal-btn"
					   th:if="${page == 'app' && appMaxInstances.get(appName) != 1}" >Switch instance</a>

					<a role="button" class="btn btn-primary btn-sm btn-restart-app" onclick="Shiny.instances.eventHandlers.showAppDetails();"
					   th:if="${page == 'app' && appMaxInstances.get(appName) == 1}" >App details</a>

					<a role="button" class="btn btn-primary btn-sm btn-restart-app" onclick="Shiny.instances.eventHandlers.onRestartInstance();"
						th:if="${page == 'app' && appMaxInstances.get(appName) == 1}" >Restart app</a>

					<a role="button" class="btn btn-primary btn-sm" onclick="Shiny.instances.eventHandlers.onDeleteInstance();"
					   th:if="${page == 'app' && appMaxInstances.get(appName) == 1}" >Stop app</a>

					<a role="button" class="btn btn-primary btn-sm" onclick="Shiny.instances.eventHandlers.onPauseApp();"
					   th:if="${page == 'app' && pauseSupported && appMaxInstances.get(appName) == 1}" >Pause app</a>

					<a role="button" class="btn btn-primary btn-sm" id="myAppsModal-btn"
					   th:if="${page == 'index' && myAppsMode == 'Modal'}" >My apps</a>

					<a role="button" class="btn btn-primary btn-sm" th:if="${isSupportEnabled}"
						data-toggle="modal" data-target="#reportIssueModal">Report Issue</a>
					<a role="button" class="btn btn-primary btn-sm" th:href="@{/admin}" th:if="${isAdmin}">Admin</a>
					<a role="button" class="btn btn-primary btn-sm" th:href="@{${logoutUrl}}" th:if="${isLoggedIn}">Sign Out</a>
				</div>
				<div class="navbar-right" sec:authorize="isAuthenticated()">
					<span class="navbar-text">
						<span class="glyphicon glyphicon-user"></span>
						<span sec:authentication="name"></span>
					</span>
				</div>
			</div>
		</nav>
		<script>
			// fix padding of body as soon as navbar is rendered
			let navbarHeight = $('.navbar-height').height();
			if (navbarHeight !== undefined) {
				$('body').css('padding-top', navbarHeight + 'px');
			}
		</script>
		<div class="modal fade" id="reportIssueModal" role="dialog">
			<div class="modal-dialog">
				<div class="modal-content">
					<form id="issueForm">
						<div class="modal-header">
							<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
							<h4 class="modal-title">Report Issue</h4>
						</div>
						<div class="modal-body">
							<div class="form-group">
								<label for="customMessage"><span class="glyphicon glyphicon-chat"></span> Message to add to the report:</label>
								<textarea class="form-control" id="customMessage" placeholder="Enter message" cols="40" rows="5" name="customMessage"></textarea>
								<input type="hidden" name="currentLocation"></input>
							</div>
						</div>
						<div class="modal-footer">
							<button type="submit" class="btn btn-default btn-success">Submit</button>
							<button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
						</div>
					</form>
				</div>
			</div>
		</div>

		<script lang="JavaScript">
			$(document).ready(function() {
				$('input[name="currentLocation"]').val(window.location.href);

				$("#issueForm").submit(function(event){
					event.preventDefault();
					var formValues= $(this).serialize();

					$.post("[[${contextPath}]]" + "issue", formValues, function(data){
						if (data.status === "success") {
							$('#customMessage').val('');
							$('#reportIssueModal').modal('hide');
							alert("Your issue has been reported");
						} else {
							alert("Something went wrong when reporting your issue");
						}
					}).fail(function() {
						alert("Something went wrong when reporting your issue");
					});
				});
			});
			
			      $(function () {
    var getMenuItem = function (itemData) {
        var item = $("<a>", {
            href: itemData.url,
            html: itemData.label.name,
            class: "dropdown-item"
        });
/*        <img src="https://drossel.ship-med.uni-greifswald.de/Shipclip/logo.png" class="iconbeforetext">*/
/*        if (itemData.sub) {
            var subList = $("<ul>");
            $.each(itemData.sub, function () {
                subList.append(getMenuItem(this));
            });
            item.append(subList);
        }*/
/*        var img = "<img src="https://drossel.ship-med.uni-greifswald.de/Shipclip/logo.png" class="iconbeforetext" />";
        img = "";*/
        var hili = "";
        if (window.location.href.startsWith(itemData.url)) {
          hili = "background-color: rgb(224, 227, 230);"
        }
        item = $("<p>", { style: hili  }).append($("<img>", {
           src: itemData.iconUrl,
           class: "iconbeforetext",
           style: "width: 2em; min-width:2em; max-width:2em; margin-right: 2px;" + hili
        })).append(item);
        return item;
    };

    var $menu = $("#menu");
    
    $.getJSON('https://drossel.ship-med.uni-greifswald.de/Shipclip/menu/de', { }, function(data) {
      $.each(data.list, function () {
          $menu.append(
              getMenuItem(this)
          );
      });
/*      $menu.menu(); */
      });
    });

		</script>

	</div>
</body>
</html>
